proc ::TreeCtrlLoad {dir} {
    global ::tcl_platform
    set platform [lindex $::tcl_platform(os) 0]
    uplevel #0 source [list [file join $dir treectrl.tcl]]
    uplevel #0 source [list [file join $dir filelist-bindings.tcl]]
    switch $tcl_platform(platform) {
        unix {
            tclPkgSetup [file join $dir $platform ] treectrl 1.0 {
                {libtreectrl1.0.so load {treectrl imagetint textlayout}}
            }
        }
        windows {
            tclPkgSetup [file join $dir $platform ] treectrl 1.0 {
                {treectrl.dll load {treectrl imagetint textlayout}}
            }
        }
    }
}
package ifneeded treectrl 1.0 [list ::TreeCtrlLoad $dir]

